package config

import (
	"emperror.dev/errors"

	"github.com/lemoony/snipkit/internal/ui/style"
	"github.com/lemoony/snipkit/internal/ui/uimsg"
)

var ErrInvalidConfig = errors.New("invalid config file")

type ErrConfigNotFound struct {
	cfgPath string
}

func (e ErrConfigNotFound) Error() string {
	return uimsg.ConfigNotFound(e.cfgPath).RenderWith(style.NoopStyle)
}

func (e ErrConfigNotFound) Is(target error) bool {
	_, ok := target.(ErrConfigNotFound)
	return ok
}
